Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

11.2-u7 with bad plugins repos URL

Joined
Nov 28, 2019
Messages
1
Hi everyone, I did a fresh install of Freenas 11.2u7 (also tried 11.2u6) and I cannot get the list of available plugins because of a bad repos URL inside these releases. The URL http://pkg.cdn.trueos.org/iocage/11.1-RELEASE/All doesn't exist anymore and it should be http://pkg.cdn.trueos.org/iocage/11.2-RELEASE/All

I tried to find without success where this URL is configured. It can't be updated in the UI like the older version of Freenas and it's not inside FreeBSD.conf file.

The bug occurred in 11.2-U6 and it's still there in 11.2u7, why?

Thanks!

See all the error output below:

404 Client Error: Not Found for url: http://pkg.cdn.trueos.org/iocage/11.1-RELEASE/All

Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 938, in get_plugin_version
'iocage_rpkgdict')
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 105, in call_sync
return self.client.call(method, *params, timeout=timeout, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/client/client.py", line 451, in call
raise c.py_exception
KeyError: 'iocage_rpkgdict'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
return await self._call(name, serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 568, in list_resource
pv = self.get_plugin_version(plugin[2])
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 945, in get_plugin_version
r_pkgs.raise_for_status()
File "/usr/local/lib/python3.6/site-packages/requests/models.py", line 935, in raise_for_status
raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: http://pkg.cdn.trueos.org/iocage/11.1-RELEASE/All
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1107, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1052, in _call
return await self._call_worker(name, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1072, in _call_worker
return await self.run_in_proc(main_worker, name, args, job)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
requests.exceptions.HTTPError: 404 Client Error: Not Found for url: http://pkg.cdn.trueos.org/iocage/11.1-RELEASE/All
 

RegularJoe

FreeNAS Experienced
Joined
Aug 19, 2013
Messages
229
NFG, why is this broken?
Is the last working version 11.2-U5?
is there anything we can do from the command line or the legacy GUI?
I had issues with Google Chrome but FireFox appears to be working, so maybe it is a combo of your web browser?
 
Last edited:
Top